Package org.kapott.hbci.status

## Class HBCIStatus

- java.lang.Object
- - org.kapott.hbci.status.HBCIStatus

    public final class HBCIStatus
    extends java.lang.Object

Menge zusammengehöriger Status-Informationen. In Objekten dieser Klasse kann eine Menge von HBCI-Statuscodes sowie eine Menge von Exceptions gespeichert werden. Der Sinn dieser Klasse ist die Zusammenfassung von mehreren Status-Informationen, die logisch zusammengehören (z.B. alle Status-Informationen, die ein bestimmtes Nachrichtensegment betreffen).

Objekte dieser Klasse werden beispielsweise in `HBCIMsgStatus` verwendet, um globale und segmentbezogene Status-Informationen voneinander getrennt zu sammeln.

### Field Summary

Fields
`static int` `STATUS_ERR` Statuscode für "es ist mindestens ein Fehlercode enthalten"
`static int` `STATUS_OK` Statuscode für "alle Statusinformationen besagen OK"
`static int` `STATUS_UNKNOWN` Statuscode für "Gesamtstatus kann nicht ermittelt werden".

### Constructor Summary

Constructors
`HBCIStatus()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addException​(java.lang.Exception e)` Wird von der HBCI4Java-Dialog-Engine aufgerufen
`void` `addRetVal​(HBCIRetVal ret)` Wird von der HBCI4Java-Dialog-Engine aufgerufen
`HBCIRetVal[]` `getErrors()` Gibt die in diesem Objekt gespeicherten Fehlermeldungen zurück
`java.lang.String` `getErrorString()` Gibt einen String zurück, der alle Fehlermeldungen der hier enthaltenen Rückgabewerte im Klartext enthält.
`java.lang.Exception[]` `getExceptions()` Gibt die in diesem Status-Objekt gespeicherten Exceptions zurück
`HBCIRetVal[]` `getRetVals()` Gibt alle in diesem Status-Objekt gespeicherten Rückgabewerte zurück
`int` `getStatusCode()` Gibt einen Code zurück, der den zusammengefassten Status aller in diesem Objekt gespeicherten Rückgabewerte beschreibt.
`HBCIRetVal[]` `getSuccess()` Gibt die in diesem Objekt gespeicherten Erfolgsmeldungen zurück
`HBCIRetVal[]` `getWarnings()` Gibt die in diesem Objekt gespeicherten Warnungen zurück
`boolean` `hasErrors()` Gibt zurück, ob in den Rückgabedaten in diesem Objekt Fehlermeldungen enthalten sind
`boolean` `hasExceptions()` Gibt zurück, ob in diesem Status-Objekt Exceptions gespeichert sind
`boolean` `hasSuccess()` Gibt zurück, ob in den Rückgabedaten in diesem Objekt Erfolgsmeldungen enthalten sind
`boolean` `hasWarnings()` Gibt zurück, ob in den Rückgabedaten in diesem Objekt Warnungen enthalten sind
`boolean` `isOK()` Gibt `true` zurück, wenn keine Fehlermeldungen bzw.
`java.lang.String` `toString()` Gibt die Status-Informationen aller enthaltenen Exceptions und HBCI-Rückgabewerte als ein String zurück.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### STATUS_OK

    public static final int STATUS_OK

Statuscode für "alle Statusinformationen besagen OK"

See Also:
  Constant Field Values

#### STATUS_UNKNOWN

    public static final int STATUS_UNKNOWN

Statuscode für "Gesamtstatus kann nicht ermittelt werden". (z.B. weil gar keine Informationen in diesem Objekt enthalten sind)

See Also:
  Constant Field Values

#### STATUS_ERR

    public static final int STATUS_ERR

Statuscode für "es ist mindestens ein Fehlercode enthalten"

See Also:
  Constant Field Values

### Constructor Detail

#### HBCIStatus

    public HBCIStatus()

### Method Detail

#### addException

    public void addException​(java.lang.Exception e)

Wird von der HBCI4Java-Dialog-Engine aufgerufen

#### addRetVal

    public void addRetVal​(HBCIRetVal ret)

Wird von der HBCI4Java-Dialog-Engine aufgerufen

#### hasExceptions

    public boolean hasExceptions()

Gibt zurück, ob in diesem Status-Objekt Exceptions gespeichert sind

Returns:
  `true`, falls Exceptions gespeichert sind, sonst `false`

#### hasErrors

    public boolean hasErrors()

Gibt zurück, ob in den Rückgabedaten in diesem Objekt Fehlermeldungen enthalten sind

Returns:
  `true`, falls Fehlermeldungen vorhanden sind, sonst `false`

#### hasWarnings

    public boolean hasWarnings()

Gibt zurück, ob in den Rückgabedaten in diesem Objekt Warnungen enthalten sind

Returns:
  `true`, falls Warnungen vorhanden sind, sonst `false`

#### hasSuccess

    public boolean hasSuccess()

Gibt zurück, ob in den Rückgabedaten in diesem Objekt Erfolgsmeldungen enthalten sind

Returns:
  `true`, falls Erfolgsmeldungen vorhanden sind, sonst `false`

#### getExceptions

    public java.lang.Exception[] getExceptions()

Gibt die in diesem Status-Objekt gespeicherten Exceptions zurück

Returns:
  Array mit Exceptions, die während der HBCI-Kommunikation aufgetreten sind.

#### getRetVals

    public HBCIRetVal[] getRetVals()

Gibt alle in diesem Status-Objekt gespeicherten Rückgabewerte zurück

Returns:
  Array mit `HBCIRetVal`s, die während der HBCI-Kommunikation aufgetreten sind.

#### getErrors

    public HBCIRetVal[] getErrors()

Gibt die in diesem Objekt gespeicherten Fehlermeldungen zurück

Returns:
  Array mit HBCI-Returncodes, die allesamt Fehlermeldungen beschreiben

#### getWarnings

    public HBCIRetVal[] getWarnings()

Gibt die in diesem Objekt gespeicherten Warnungen zurück

Returns:
  Array mit HBCI-Returncodes, die allesamt Warnmeldungen beschreiben

#### getSuccess

    public HBCIRetVal[] getSuccess()

Gibt die in diesem Objekt gespeicherten Erfolgsmeldungen zurück

Returns:
  Array mit HBCI-Returncodes, die allesamt Erfolgsmeldungen beschreiben

#### getStatusCode

    public int getStatusCode()

Gibt einen Code zurück, der den zusammengefassten Status aller in diesem Objekt gespeicherten Rückgabewerte beschreibt. Dafür gibt es folgende Möglichkeiten:

- `STATUS_OK` wird zurückgegeben, wenn es keine Fehlermeldungen oder Exceptions gegeben hat und mindestens eine Erfolgsmeldung oder Warnung enthalten ist
- `STATUS_ERR` wird zurückgegeben, wenn wenigstens eine Exception aufgetreten ist oder wenigstens eine Fehlermeldung enthalten ist.
- `STATUS_UNKNOWN` wird zurückgegeben, wenn keine der beiden o.g. Bedingungen zutrifft.

Returns:
  einen Code, der den zusammengefassten Status aller Rückgabewerte beschreibt.

#### isOK

    public boolean isOK()

Gibt `true` zurück, wenn keine Fehlermeldungen bzw. Exceptions aufgetreten sind und wenigstens eine Successmeldung oder Warnung enthalten ist

#### getErrorString

    public java.lang.String getErrorString()

Gibt einen String zurück, der alle Fehlermeldungen der hier enthaltenen Rückgabewerte im Klartext enthält. Für evtl. enthaltene Exception wird die entsprechende Beschreibung in Kurz (siehe `HBCIUtils.exception2StringShort(Exception)`) benutzt.

Returns:
  String mit allen Fehlermeldungen

#### toString

    public java.lang.String toString()

Gibt die Status-Informationen aller enthaltenen Exceptions und HBCI-Rückgabewerte als ein String zurück.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  String mit allen gespeicherten Status-Informationen